Subject: Re: bug#43887: 28.0.50; in HELLO: Javanese (Jawa) System.out.println("Sugeng siang!");

From: Juri Linkov <[email-masked]>
Date: Sun, 18 Oct 2020 23:33:00 +0300

>> >> I see this when HELLO is displayed:
>> >>
>> >> Javanese (Jawa)	System.out.println("Sugeng siang!");
>> >
>> > It's a (pretty weak) joke about Java (the computer language) and Jawa
>> > (the language).

Indeed, that was a stupid joke as these reports indicate.
The name of the programming language refers to coffee,
not to the language of people inhabiting the island.

> From view point of Jawa people, they will probably not understand Java
> programming language.
>
> From view point that Java is large island, with large number of people
> there, please see https://en.wikipedia.org/wiki/Java reference to 145
> millions, if I would be one of those, I would not understand it, and
> we can also think that some could be negatively impacted that their
> language is written that way. Thus from their viewpoint, joke could
> not be understood.

I completely agree.  The etc/HELLO was intended to be not a place
for dubious jokes, but a file that demonstrates to users that
non-ASCII characters of their scripts are supported in Emacs.
So for languages whose greetings don't contain non-ASCII letters,
such non-ASCII letters are presented in their language names.
This is the case for français, español, slovenščina, Türkçe.

But there is no point in showing ASCII-only letters for Javanese.
So I replaced this line with the proper Javanese script, and now
Javanese people will enjoy seeing that their script is supported by Emacs.

> I am proposing to make a button on Javanese Jawa line, so that their
> Hello remains there, but if user presses the button, that the joke appears.

Feel free to add such a button if you want.

PS: While at it, I also added support for Belarusian language in etc/HELLO.